Bug 1421158 - control policy events aren't generated for azure instances
Summary: control policy events aren't generated for azure instances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.2
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard: azure:event:control:policy
Depends On: 1418755
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 14:04 UTC by Satoe Imaishi
Modified: 2017-04-12 14:37 UTC (History)
5 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418755
Environment:
Last Closed: 2017-04-12 14:37:37 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-13 17:36:00 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a995bdb7a41e589cac9a5ccd8316729b03ca93f0

commit a995bdb7a41e589cac9a5ccd8316729b03ca93f0
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Mon Mar 13 13:28:27 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 13 13:28:27 2017 -0400

    Merge pull request #34 from lfu/azure_policy_event_1418755
    
    Connect policy events to Azure events
    (cherry picked from commit 94827ec59c2594d5948e03ceb79947bfde8081de)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1421158

 .../Azure.class/virtualmachines_deallocate_endrequest.yaml |  2 ++
 .../Azure.class/virtualmachines_poweroff_endrequest.yaml   | 14 ++++++++++++++
 .../Azure.class/virtualmachines_start_endrequest.yaml      |  2 ++
 3 files changed, 18 insertions(+)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/Azure.class/virtualmachines_poweroff_endrequest.yaml

Comment 3 Dmitry Misharov 2017-03-24 11:00:32 UTC
Verified in 5.7.2.0.20170321181409_349f1b1. Events are registered from Azure.

Comment 5 errata-xmlrpc 2017-04-12 14:37:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.